if (window.location.hash && window.location.hash == '#iframe')
{
    $('a[data-type=iframe]').trigger('click');
    history.pushState('','', window.location.href.replace(/#.*/, ''));
}

//form captura
$('.formCaptura').submit(function(e){
    
    e.preventDefault();
    e.stopPropagation();
    
    loadButton($('.formCaptura button.btn-enviar'));
	
	$.ajax({
		url: base_url+"landingpage/ajax/captura_ajax/captura_interessado_empreendimento",
		dataType: 'json',
		type: 'POST',
		data: get_form('.formCaptura'),
		success: function(retorno)
		{		
		    console.log("retorno por favor: ",retorno);
			if (retorno.valid == true)
			{
			    window.location.href = retorno.data.redirect;
			}
			else
			{
			    loadButton(null,false);
			    ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
    	        $('.formCaptura .content_result').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('.formCaptura .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
	});
	
});

//form captura
$('body').on( 'click', '.actLigar', function(){
    
    loadButton($('.actLigar'));
    
    $data = {
        link:               $(".formCaptura input[name='link']").val(),
        origem:     $(".formCaptura input[name='origem_captura']").val(),
        click_action:       $(this).attr("data-action")
    };
	
	$.ajax({
		url: base_url+"landingpage/ajax/captura_ajax/captura_set_click",
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    
			if (retorno.valid == true)
			{
			    loadButton(null,false);
			    retorno.msg;
			}
			else
			{
			    loadButton(null,false);
			    retorno.msg;
			    
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('.formCaptura .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
	});
	
});

function clearForm(){
    $("input[name='email']").val("");
    $("input[name='telefone']").val("");
    
    loadButton(null,false);
    
    $('.formCaptura .content_result').html("");
}


$(window).on('load', function(){
    //carrossel
    $('.owl-carousel-unidades').owlCarousel({
        autoplay:false,
        loop:false,
        touchDrag: true,
        mouseDrag: true,
        margin:10,
        responsiveClass:true,
        responsive:{
            0:{
                items:1,
                nav:false,
                dots:true
            },
            768:{
                items:3,
                nav:false,
                dots:true
            },
            1023:{
                items:3,
                nav:true,
                dots:false
            }/*,
            1441:{
                items:3,
                nav:true,
                dots:false
            }*/
        }
    });
    
    $('.owl-carousel-imagens').owlCarousel({
        autoplay:false,
        loop:false,
        touchDrag: false,
        mouseDrag: false,
        margin:0,
        responsiveClass:true,
        responsive:{
            0:{
                items:1,
                loop:true,
                nav:false,
                dots: true
            }
        }
    });
    
    $('.owl-carousel-comodidades').owlCarousel({
        autoplay:true,
        loop:true,
        nav:false,
        touchDrag: false,
        mouseDrag: false,
        margin:10,
        responsiveClass:true,
        responsive:{
            0:{
                items:1,
                nav:false,
                dots:false,
                touchDrag: true,
                mouseDrag: true,
            },
            768:{
                items:2,
                nav:false,
                dots:true,
                touchDrag: true,
                mouseDrag: true,
            },
            1280:{
                items:3,
                nav:false,
                dots:true,
                touchDrag: true,
                mouseDrag: true,
            },
            1441:{
                items:4,
                nav:false,
                dots:true,
                touchDrag: true,
                mouseDrag: true,
            }
        }
    });
})

//modal passeio
$(".act-passeio-lp").on("click", function(){
    $('.open-modal-passeio-lp').modal('show');
    $('.open-modal-passeio-lp .modal-body').scrollTop(0);
});

//galeria

$(".mygallery").justifiedGallery({
    rowHeight: 300,
    margins: 20,
    //legenda
    rowHeight: 250,
    maxRowHeight : 450,
    lastRow : 'justify',
    captions : true,
    captionsShowAlways : true,
    captionsAnimation : true,
    cssAnimation:false,
    margins : 6,
    waitThumbnailsLoad : true
});

$('body').on("click", ".actReservar", function() {
    
    txt_btn = $(this).data("txt_btn");
    
    $("#section-unidades").find(".btn.actReservar").removeClass("btn-danger actCancelar").addClass("btn-primary actReservar").html(txt_btn);
   
    $("input[name=tipo_imovel]").val("");
    
    $(this).removeClass("btn-primary actReservar").addClass("btn-danger actCancelar").html("Limpar seleção");
    
    valor = $(this).data("valor");
    tipo = $(this).data("tipo");
    
    $("input[name=tipo_imovel]").val(tipo);
    
    
    $(".value-reserva").html();
    $(".selecionar").hide();
    $(".selecionado").show();
    
    $(".value-reserva").html(tipo);
    
    $("input[name=valor_avaliacao]").val(valor);
    
    /*if(unidade == "1"){
        $(".reservado1").show('clip');
        $("input[name=area_total]").val("401");
    }
    if(unidade == "2"){
        $(".reservado2").show('clip');
        $("input[name=area_total]").val("603");
    }
    if(unidade == "3"){
        $(".reservado3").show('clip');
        $("input[name=area_total]").val("703");
    }*/
    
    setTimeout(function(){ 
        
        $('html, body').animate(
        {
            scrollTop: $("#section-contato").offset().top - 60
        },1000);
        
    }, 800);
});

$('body').on("click", ".actCancelar", function() {
    
    txt_btn = $(this).data("txt_btn");
    
    /*$(".box-reservado").hide();*/
    $("input[name=tipo_imovel]").val("");
    $(".value-reserva").html();
    $(".selecionar").show();
    $(".selecionado").hide();
    
    $(this).removeClass("btn-danger actCancelar").addClass("btn-primary actReservar").html(txt_btn);
    
    unidade = $(this).data("unidade");
    
    if(unidade == "1"){
        $(".reservado1").hide('clip');
    }
    if(unidade == "2"){
        $(".reservado2").hide('clip');
    }
    if(unidade == "3"){
        $(".reservado3").hide('clip');
    }
});

$('body').on("click", ".selecionar-unidade", function() {
    $('html, body').animate(
    {
        scrollTop: $("#section-unidades").offset().top - 120
    },1000);
});

$('body').on("click", ".icon-close", function() {
    
    $("input[name=tipo_imovel]").val("");
    
    $(".value-reserva").html();
    $(".selecionar").show();
    $(".selecionado").hide();
    
    $(".actCancelar").trigger("click");
   
});

$('body').on("click", ".actVejaFotos", function(e) {
    
    e.preventDefault();
    
    unidadeGaleria = $(this).data("unidade");
    
    $section = $('*[data-section="'+unidadeGaleria+'"]');
   
    $('#open-modal-passeio-lp').modal('show');
    
    $('#open-modal-passeio-lp .modal-body').scrollTop(0);
    
    $('#open-modal-passeio-lp .modal-body').animate({
       scrollTop: 0
    }, function(){
        sectionOffset = $section.offset();
        modalBody = $("#open-modal-passeio-lp .modal-body").offset();
        
        $('#open-modal-passeio-lp .modal-body').animate({
            scrollTop: sectionOffset.top - modalBody.top - 15
        }, 1000);
    });
    
});

//antes e depois
//$(".twentytwenty-container[data-orientation!='vertical']").twentytwenty({default_offset_pct: 0.7});
$(".twentytwenty-container").twentytwenty();